[arch-commits] Commit in (5 files)

Giovanni Scafora giovanni at archlinux.org
Sat Oct 2 09:49:07 UTC 2010


    Date: Saturday, October 2, 2010 @ 05:49:07
  Author: giovanni
Revision: 92959

Added for aMule support

Added:
  libupnp/
  libupnp/repos/
  libupnp/trunk/
  libupnp/trunk/PKGBUILD
  libupnp/trunk/libupnp-1.6.6-patch-statevar-query.patch

------------------------------------------+
 PKGBUILD                                 |   32 +++++++++++++++++++++++++++++
 libupnp-1.6.6-patch-statevar-query.patch |   13 +++++++++++
 2 files changed, 45 insertions(+)

Added: libupnp/trunk/PKGBUILD
===================================================================
--- libupnp/trunk/PKGBUILD	                        (rev 0)
+++ libupnp/trunk/PKGBUILD	2010-10-02 09:49:07 UTC (rev 92959)
@@ -0,0 +1,32 @@
+# $Id$
+# Maintainer: Giovanni Scafora <giovanni at archlinux.org> 
+# Contributor: kastor <kastor at fobos.org.ar>
+
+pkgname=libupnp
+pkgver=1.6.6
+pkgrel=4
+pkgdesc="Portable Open Source UPnP Development Kit"
+arch=('i686' 'x86_64')
+url="http://pupnp.sourceforge.net/"
+license=('BSD')
+depends=('glibc')
+makedepends=('pkgconfig')
+options=('!libtool')
+source=(http://downloads.sourceforge.net/sourceforge/pupnp/${pkgname}-${pkgver}.tar.bz2
+        libupnp-1.6.6-patch-statevar-query.patch)
+md5sums=('8918dcf7428cd119d0c8275765ff2833'
+         '72d7e06f4f5fe4d167424ace730cecbf')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  patch -Np0 -i "${srcdir}/libupnp-1.6.6-patch-statevar-query.patch" || return 1
+  ./configure --prefix=/usr
+  make || return 1
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+
+  make DESTDIR=${pkgdir} install || return 1
+  install -Dm644 LICENSE ${pkgdir}/usr/share/licenses/custom/${pkgname}/LICENSE || return 1
+}


Property changes on: libupnp/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
   + Id

Added: libupnp/trunk/libupnp-1.6.6-patch-statevar-query.patch
===================================================================
--- libupnp/trunk/libupnp-1.6.6-patch-statevar-query.patch	                        (rev 0)
+++ libupnp/trunk/libupnp-1.6.6-patch-statevar-query.patch	2010-10-02 09:49:07 UTC (rev 92959)
@@ -0,0 +1,13 @@
+--- upnp/src/soap/soap_ctrlpt.c	2008-02-10 02:55:33.000000000 +0100
++++ upnp/src/soap/soap_ctrlpt.c	2009-01-29 21:09:41.000000000 +0100
+@@ -931,7 +931,7 @@
+     content_length = strlen( xml_start ) + strlen( var_name ) + strlen( xml_end );
+     if (http_MakeMessage(
+ 	&request, 1, 1,
+-	"Q" "sbc" "N" "s" "s" "Ucc" "sss",
++	"Q" "sbc" "N" "s" "sc" "Ucc" "sss",
+ 	SOAPMETHOD_POST, path.buf, path.length,
+ 	"HOST: ", host.buf, host.length,
+ 	content_length,
+
+ 	  	 




More information about the arch-commits mailing list